#1613 Cannot install XML plugin

closed-fixed
None
5
2013-02-07
2012-06-01
powery
No

After installing XML plugin 2.8.3-jedit-4.5 on jEdit 4.5.1:

15:31:44 [AWT-EventQueue-0] [error] Roster$Install: java.lang.NullPointerException
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at org.gjt.sp.util.IOUtilities.copyStream(IOUtilities.java:102)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at org.gjt.sp.jedit.pluginmgr.Roster$Install.runInAWTThread(Roster.java:342)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at org.gjt.sp.jedit.pluginmgr.Roster.performOperationsInAWTThread(Roster.java:106)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at org.gjt.sp.jedit.pluginmgr.InstallPanel$InstallButton.actionPerformed(InstallPanel.java:1085)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:236)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.Component.processMouseEvent(Component.java:6263)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.Component.processEvent(Component.java:6028)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.Container.processEvent(Container.java:2041)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.Component.dispatchEventImpl(Component.java:4630)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.Container.dispatchEventImpl(Container.java:2099)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.Component.dispatchEvent(Component.java:4460)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.Container.dispatchEventImpl(Container.java:2085)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.Window.dispatchEventImpl(Window.java:2478)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.Component.dispatchEvent(Component.java:4460)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
15:31:44 [AWT-EventQueue-0] [error] Roster$Install: at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

Whats wrong?

Thanks

Discussion

  • Jarek Czekalski

    Jarek Czekalski - 2012-06-01

    I cannot reproduce on Windows 7, sun java 6. Please try to restart the computer, download other plugins, choose another mirror. Is all working ok? Is your system stable?

    Looks like zipFile.getInputStream returns null althogh java documentation denies such a possibility.

     
  • Jarek Czekalski

    Jarek Czekalski - 2012-06-01

    Please provide operating system and exact java version.

     
  • Jarek Czekalski

    Jarek Czekalski - 2012-06-01
    • labels: --> 102672
     
  • powery

    powery - 2012-06-01

    Windows XP SP3, jdk1.6.0_20

     
  • Jarek Czekalski

    Jarek Czekalski - 2012-06-01
    • assigned_to: nobody --> kerik-sf
     
  • Eric Le Lay

    Eric Le Lay - 2012-06-02
    • labels: 102672 -->
     
  • Eric Le Lay

    Eric Le Lay - 2012-06-02

    yes, it's a bug in XML plugin: test data gets wrongly packaged in XML.jar.
    Ironically, this "ümlaut" directory was to confirm that XML plugin was dealing correctly with non ascii directories...

     
  • powery

    powery - 2012-06-04

    the next release of the XML plugin will solve it?

     
  • powery

    powery - 2012-06-05

    All works fine with these new files.

    Thanks

     
  • powery

    powery - 2012-06-18

    The question again. Will the next release of the XML plugin solve it?

     
  • Steve

    Steve - 2012-07-10

    Is there a patch for the 4.5 version, for those of us who haven't yet upgraded to 5.0 daily?

     
  • Eric Le Lay

    Eric Le Lay - 2012-07-10

    yes: the fixed XML.jar is still available (see my comment dated 2012-06-04 10:17:21).

    I've committed a fix in r21928, but I'll have to make a new release request.

     
  • Eric Le Lay

    Eric Le Lay - 2012-07-13

    I'll close this bug after a new release of XMLPlugin

     
  • Eric Le Lay

    Eric Le Lay - 2012-07-13
    • status: open --> open-fixed
     
  • Alan Ezust

    Alan Ezust - 2013-02-07
    • status: open-fixed --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks